Google Web Toolkit (Beta)
Search this site:

# Interface FocusListener

public interface FocusListener
extends EventListener
// Implemented by `FocusListenerAdapter`, `DelegatingFocusListenerCollection`
Event listener for focus events.

## Methods

onFocus(Widget) | Fired when a widget receives keyboard focus.
onLostFocus(Widget) | Fired when a widget loses keyboard focus.

## Method Detail

### onFocus

public void onFocus(Widget sender)
Fired when a widget receives keyboard focus.

#### Parameters

sender
  the widget receiving focus.

### onLostFocus

public void onLostFocus(Widget sender)
Fired when a widget loses keyboard focus.

#### Parameters

sender
  the widget losing focus.